#!/usr/bin/env bash

# Адрес репозитория
REPO_URL="https://git.tswf.io/ci/universal-ci-cd-scripts.git"

# Путь к папке внутри репозитория, которую нужно скопировать
SOURCE_DIR="src/main/groovy"

# Целевая директория для копирования файлов
TARGET_DIR=".ci"

# Клонируем репозиторий в временный каталог
TEMP_DIR=$(mktemp -d)
git clone "$REPO_URL" "$TEMP_DIR"

# Проверяем, существует ли целевая папка, и если нет, создаем её
if [ ! -d "$TARGET_DIR" ]; then
    mkdir -p "$TARGET_DIR"
fi

# Копируем содержимое папки из временного каталога в целевую папку
cp -r "${TEMP_DIR}/${SOURCE_DIR}/"* "$TARGET_DIR"

# Удаляем временный каталог
rm -rf "$TEMP_DIR"

echo "$SOURCE_DIR copied to $TARGET_DIR"