package util

import groovy.transform.CompileStatic

@CompileStatic
class DockerImageNames {

    static String getImageName(String dockerfileName) {
        def propertyNames = [
                "docker.image.${dockerfileName.toLowerCase()}.name",
                "docker.image.base.name"
        ]

        return propertyNames.stream()
            .map { it.toString() }
            .map {
                CIProperties.findProperty(it).orNull()
            }
            .filter { it != null }
            .findFirst()
            .orElseThrow { new NoSuchElementException("There is no one property set: ${propertyNames}") }
    }

}
