package util

import groovy.transform.CompileStatic

@CompileStatic
class ReleaseArtifacts {

    static List<String> getArtifacts(String dockerFile) {
        def propertyNames = [
                "gitea.release.${dockerFile}.artifacts", // В рамках обратной совместимости
                "gitea.release.artifacts", // В рамках обратной совместимости
                "release.artifacts.${dockerFile}.grab",
                "release.artifacts.grab",
        ]

        return propertyNames.stream()
            .map { it.toString() }
            .map { CIProperties.findListProperty(it).orNull() }
            .filter { it != null }
            .map { (List<String>) it }
            .findFirst().orElse([])
    }
}
